<?php
// Text DASHLET
//
// Copyright 2011-11-30 Troy Lea
//  

include_once(dirname(__FILE__).'/../dashlethelper.inc.php');

// run the initialization function
text_dashlet_init();

function text_dashlet_init(){
	
	// respect the name!
	$name="text";
	
	$args=array(

		// need a name
		DASHLET_NAME => $name,
		
		// informative information
		DASHLET_VERSION => "2011-11-30",
		DASHLET_DATE => "2011-11-30",
		DASHLET_AUTHOR => "Troy Lea aka Box293",
		DASHLET_DESCRIPTION => "Allows you to add some Text to a dashlet. Nothing more, nothing less.<BR>",
						
		DASHLET_FUNCTION => "text_dashlet_func",
		
		DASHLET_TITLE => "Text Dashlet",
		
		DASHLET_OUTBOARD_CLASS => "text_outboardclass",
		DASHLET_INBOARD_CLASS => "text_inboardclass",
		DASHLET_PREVIEW_CLASS => "text_previewclass",
		
		DASHLET_CSS_FILE => "text.css",
		//DASHLET_JS_FILE => "text.js",

		DASHLET_WIDTH => "450px",
		DASHLET_HEIGHT => "60px",
		DASHLET_OPACITY => "0.5",
		DASHLET_BACKGROUND => "",

		DASHLET_REFRESHRATE => -1,
		);
	register_dashlet($name,$args);
	}

function text_dashlet_func($mode=DASHLET_MODE_PREVIEW,$id="",$args=null){
	$output="";

	$imgbase=get_dashlet_url_base("text")."/images/";
	
	switch($mode){
		case DASHLET_MODE_GETCONFIGHTML:
			$output='
			<BR CLASS="nobr" />
			<LABEL FOR="textvalue">Please type the text that you want to appear in the Dashlet</LABEL>
			<BR CLASS="nobr" />
			<INPUT TYPE="text" NAME="textvalue" ID="textvalue">
			<BR CLASS="nobr" />
			
			<BR CLASS="nobr" />
			<FONT ID="font-weight-bold">Options:</FONT>
			<BR CLASS="nobr" />
			
			<BR CLASS="nobr" />
			<LABEL FOR="textsize">Size</LABEL>
			<BR CLASS="nobr" />
			<SELECT NAME="textsize" ID="textsize">
			<OPTION VALUE="font-size-inherit" SELECTED>Inherit Nagios XI CSS</OPTION>
			<OPTION VALUE="font-size-xx-small">XX Small</OPTION>
			<OPTION VALUE="font-size-x-small">X Small</OPTION>
			<OPTION VALUE="font-size-small">Small</OPTION>
			<OPTION VALUE="font-size-medium">Medium</OPTION>
			<OPTION VALUE="font-size-large">Large</OPTION>
			<OPTION VALUE="font-size-x-large">X Large</OPTION>
			<OPTION VALUE="font-size-xx-large">XX Large</OPTION>
			</SELECT>
			<BR CLASS="nobr" />
			
			<BR CLASS="nobr" />
			<LABEL FOR="textweight">Weight</LABEL>
			<BR CLASS="nobr" />
			<SELECT NAME="textweight" ID="textweight">
			<OPTION VALUE="font-weight-inherit" SELECTED>Inherit Nagios XI CSS</OPTION>
			<OPTION VALUE="font-weight-normal">Normal</OPTION>
			<OPTION VALUE="font-weight-bold">Bold</OPTION>
			</SELECT>
			<BR CLASS="nobr" />
			
			<BR CLASS="nobr" />
			<LABEL FOR="textstyle">Style</LABEL>
			<BR CLASS="nobr" />
			<SELECT NAME="textstyle" ID="textstyle">
			<OPTION VALUE="font-style-inherit" SELECTED>Inherit Nagios XI CSS</OPTION>
			<OPTION VALUE="font-style-normal">Normal</OPTION>
			<OPTION VALUE="font-style-italic">Italic</OPTION>
			<OPTION VALUE="font-style-oblique">Oblique</OPTION>
			</SELECT>
			<BR CLASS="nobr" />
			
			<BR CLASS="nobr" />
			<LABEL FOR="textvariant">Variant</LABEL>
			<BR CLASS="nobr" />
			<SELECT NAME="textvariant" ID="textvariant">
			<OPTION VALUE="font-variant-inherit" SELECTED>Inherit Nagios XI CSS</OPTION>
			<OPTION VALUE="font-variant-normal">Normal</OPTION>
			<OPTION VALUE="font-variant-small-caps">Small Caps</OPTION>
			</SELECT>
			<BR CLASS="nobr" />
			
			<BR CLASS="nobr" />
			<LABEL FOR="textcolor">Color</LABEL>
			<BR CLASS="nobr" />
			<SELECT NAME="textcolor" ID="textcolor">
			<OPTION VALUE="color-inherit" SELECTED>Inherit Nagios XI CSS</OPTION>
			<OPTION VALUE="color-aqua">Aqua</OPTION>
			<OPTION VALUE="color-black">Black</OPTION>
			<OPTION VALUE="color-blue">Blue</OPTION>
			<OPTION VALUE="color-fuchsia">Fuchsia</OPTION>
			<OPTION VALUE="color-gray">Gray</OPTION>
			<OPTION VALUE="color-green">Green</OPTION>
			<OPTION VALUE="color-lime">Lime</OPTION>
			<OPTION VALUE="color-maroon">Maroon</OPTION>
			<OPTION VALUE="color-navy">Navy</OPTION>
			<OPTION VALUE="color-olive">Olive</OPTION>
			<OPTION VALUE="color-purple">Purple</OPTION>
			<OPTION VALUE="color-red">Red</OPTION>
			<OPTION VALUE="color-silver">Silver</OPTION>
			<OPTION VALUE="color-teal">Teal</OPTION>
			<OPTION VALUE="color-yellow">Yellow</OPTION>
			<OPTION VALUE="color-white">White</OPTION>
			</SELECT>
			<BR CLASS="nobr" />
			
			<!-- <p>MODE: $mode, ID: $id</p> -->
			';  
			break;
		case DASHLET_MODE_OUTBOARD:
			break;
		case DASHLET_MODE_INBOARD:
			$textvalue=$args["textvalue"];
			$textsize=$args["textsize"];
			$textweight=$args["textweight"];
			$textstyle=$args["textstyle"];
			$textvariant=$args["textvariant"];
			$textcolor=$args["textcolor"];
			
			$output='
			<FONT SIZE=""></FONT>
			<BR CLASS="nobr" />
			<BR CLASS="nobr" />
			<FONT ID="'.$textsize.'">
			<FONT ID="'.$textweight.'">
			<FONT ID="'.$textstyle.'">
			<FONT ID="'.$textvariant.'">
			<FONT ID="'.$textcolor.'">
			'.$textvalue.'
			</FONT>
			</FONT>
			</FONT>
			</FONT>
			</FONT>
			<BR CLASS="nobr" />
			<BR CLASS="nobr" />
			
			<!-- <p>MODE: $mode, ID: $id</p> -->
			';
			break;
		case DASHLET_MODE_PREVIEW:
			$output="<p><img src='".$imgbase."preview.png'></p>";
			break;
		}
			
	return $output;
	}
	

?>